FROM	alpine:3.15 as extractor

ARG     PROJECT_NAME
ARG     PROJECT_VERSION

COPY    target/universal/\${PROJECT_NAME}-\${PROJECT_VERSION}.txz /app/
RUN     tar Jxvf /app/\${PROJECT_NAME}-\${PROJECT_VERSION}.txz -C /app && \\
        rm /app/\${PROJECT_NAME}-\${PROJECT_VERSION}.txz

FROM	537084507879.dkr.ecr.eu-west-1.amazonaws.com/11-jdk-slim:0.0.10

ARG     PROJECT_NAME
ARG     PORT

ENV     PROJECT_NAME=\${PROJECT_NAME}

USER    root

COPY    --from=extractor /app/\${PROJECT_NAME}/ /app/

EXPOSE  \${PORT}

ENTRYPOINT ["entrypoint.sh"]
